Module java.management.rmi
Package javax.management.remote.rmi

# Class RMIConnectionImpl_Stub

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteStub
javax.management.remote.rmi.RMIConnectionImpl_Stub

All Implemented Interfaces:
  `Closeable`, `Serializable`, `AutoCloseable`, `Remote`, `RMIConnection`

    public final class RMIConnectionImpl_Stub
    extends RemoteStub
    implements RMIConnection

See Also:
  Serialized Form

## Field Summary

### Fields declared in class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RMIConnectionImpl_Stub​(RemoteRef ref)` |

## Method Summary

### Methods declared in class java.rmi.server.RemoteStub

`setRef`

### Methods declared in class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods declared in interface javax.management.remote.rmi.RMIConnection

`addNotificationListener, addNotificationListeners, close, createMBean, createMBean, createMBean, createMBean, fetchNotifications, getAttribute, getAttributes, getConnectionId, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeNotificationListener, removeNotificationListener, removeNotificationListeners, setAttribute, setAttributes, unregisterMBean`

## Constructor Details

### RMIConnectionImpl_Stub

public RMIConnectionImpl_Stub​(RemoteRef ref)